IvyMakePom.Dependency
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.ant
Class IvyMakePom.Dependency

    java.lang.Object
      org.apache.ivy.ant.IvyMakePom.Dependency

Enclosing class:
  IvyMakePom

    public class IvyMakePom.Dependency

extends java.lang.Object

Constructor Summary
`IvyMakePom.Dependency()`

Method Summary
`java.lang.String` | `getArtifact()`
`java.lang.String` | `getClassifier()`
`java.lang.String` | `getGroup()`
`boolean` | `getOptional()`
`java.lang.String` | `getScope()`
`java.lang.String` | `getType()`
`java.lang.String` | `getVersion()`
`void` | `setArtifact(java.lang.String artifact)`
`void` | `setClassifier(java.lang.String classifier)`
`void` | `setGroup(java.lang.String group)`
`void` | `setOptional(boolean optional)`
`void` | `setScope(java.lang.String scope)`
`void` | `setType(java.lang.String type)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IvyMakePom.Dependency

    public IvyMakePom.Dependency()

Method Detail

### getGroup

    public java.lang.String getGroup()

### setGroup

    public void setGroup(java.lang.String group)

### getArtifact

    public java.lang.String getArtifact()

### setArtifact

    public void setArtifact(java.lang.String artifact)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

### getScope

    public java.lang.String getScope()

### setScope

    public void setScope(java.lang.String scope)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getClassifier

    public java.lang.String getClassifier()

### setClassifier

    public void setClassifier(java.lang.String classifier)

### getOptional

    public boolean getOptional()

### setOptional

    public void setOptional(boolean optional)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD